org.modeshape.jcr.txn

## Class Transactions.SimpleTransaction

- java.lang.Object
- - org.modeshape.jcr.txn.Transactions.BaseTransaction
  - - org.modeshape.jcr.txn.Transactions.SimpleTransaction

- All Implemented Interfaces:
    SessionEnvironment.MonitorFactory, Transactions.Transaction
  Direct Known Subclasses:
    Transactions.TraceableSimpleTransaction
  Enclosing class:
    Transactions

      protected class Transactions.SimpleTransaction
      extends Transactions.BaseTransaction

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.txn.Transactions.BaseTransaction

      `txnMgr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Transactions.SimpleTransaction(TransactionManager txnMgr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Commit the transaction currently associated with the calling thread.
    `void` | `rollback()` Rolls back the transaction currently associated with the calling thread.

    - ### Methods inherited from class org.modeshape.jcr.txn.Transactions.BaseTransaction

      `createMonitor, executeFunctions, uponCompletion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transactions.SimpleTransaction

          protected Transactions.SimpleTransaction(TransactionManager txnMgr)

  - ### Method Detail

    - #### rollback

          public void rollback()
                        throws IllegalStateException,
                               SecurityException,
                               SystemException

      Description copied from interface: `Transactions.Transaction`
      Rolls back the transaction currently associated with the calling thread.
      Throws:
        `IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the calling thread is not associated with a transaction, or because it is in the `prepared state`.
        `SecurityException` - If the caller is not allowed to roll back this transaction.
        `SystemException` - If the transaction service fails in an unexpected way.

    - #### commit

          public void commit()
                      throws RollbackException,
                             HeuristicMixedException,
                             HeuristicRollbackException,
                             SecurityException,
                             IllegalStateException,
                             SystemException

      Description copied from interface: `Transactions.Transaction`
      Commit the transaction currently associated with the calling thread.
      Throws:
        `RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
        `HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
        `HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
        `SecurityException` - If the caller is not allowed to commit this transaction.
        `IllegalStateException` - If the calling thread is not associated with a transaction.
        `SystemException` - If the transaction service fails in an unexpected way.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.